.root {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 99;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container {
  position: relative;
  display: grid;
  grid-template-columns: 33% 33% 33%;
  grid-gap: 2px;
  width: 100px;
  height: 100px;
}

.container > div {
  position: relative;
  width: 100%;
  height: 100%;
  background: tomato;
  transform: scale(0);
  transform-origin: center center;
  animation: loader 2s infinite linear;
}
.container > div:nth-of-type(1),
.container > div:nth-of-type(5),
.container > div:nth-of-type(9) {
  animation-delay: 0.4s;
}
.container > div:nth-of-type(4),
.container > div:nth-of-type(8) {
  animation-delay: 0.2s;
}
.container > div:nth-of-type(2),
.container > div:nth-of-type(6) {
  animation-delay: 0.6s;
}
.container > div:nth-of-type(3) {
  animation-delay: 0.8s;
}

@keyframes loader {
  0% {
    transform: scale(0);
  }
  40% {
    transform: scale(1);
  }
  80% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
